Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp
Class DefaultFTPFileListParser

    java.lang.Object
      org.apache.commons.net.ftp.FTPFileEntryParserImpl
          org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
              org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
                  org.apache.commons.net.ftp.parser.UnixFTPEntryParser
                      org.apache.commons.net.ftp.DefaultFTPFileListParser

All Implemented Interfaces:
  Configurable, FTPFileEntryParser, FTPFileListParser

Deprecated. This class is deprecated as of version 1.2 and will be removed in version 2.0 -- use the autodetect mechanism in DefaultFTPFileEntryParserFactory instead.

public final class DefaultFTPFileListParser
extends UnixFTPEntryParser

DefaultFTPFileListParser is the default implementation of `FTPFileListParser` used by `FTPClient` to parse file listings. Sometimes you will want to parse unusual listing formats, in which case you would create your own implementation of FTPFileListParser and if necessary, subclass FTPFile.

As of version 1.2, this class merely extends UnixFTPEntryParser. It will be removed in version 2.0.

Author:
  Daniel F. Savarese
See Also:
  `FTPFileListParser`, `FTPFile`, `FTPClient.listFiles(java.lang.String, java.lang.String)`, `DefaultFTPFileEntryParserFactory`

Field Summary

Fields inherited from class org.apache.commons.net.ftp.parser.UnixFTPEntryParser
`NUMERIC_DATE_CONFIG`

Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`_matcher_`

Constructor Summary
`DefaultFTPFileListParser()` Deprecated.

Methods inherited from class org.apache.commons.net.ftp.parser.UnixFTPEntryParser
`getDefaultConfiguration, parseFTPEntry`

Methods inherited from class org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
`configure, parseTimestamp`

Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`getGroupCnt, getGroupsAsString, group, matches`

Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl
`parseFileList, parseFileList, preParse, readNextEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFTPFileListParser

    public DefaultFTPFileListParser()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.